%%
%% This is file edition_kainhofer.sty',
\ProvidesPackage{editionkainhofer}[2009/04/07]

% \usepackage{url}
\usepackage[xetex]{hyperref}
% \usepackage{url}
\usepackage{amsmath}
\usepackage[english,ngerman]{babel}
\usepackage{geometry}
% \usepackage[utf8]{inputenc}
% \usepackage{fontspec}
\usepackage{multicol}
\usepackage{multibib}
\usepackage{ifmtarg}
\usepackage{supertabular}
\usepackage{textcomp}
\usepackage{cancel}
\usepackage[normalem]{ulem}
\usepackage{relsize}
\usepackage{graphics}
\usepackage{enumerate}
\usepackage{lilyglyphs/lilyglyphs}

%%%%% XeLaTeX:
\usepackage{fontspec}% font selecting commands
\usepackage{xunicode}% unicode character macros
\usepackage{xltxtra} % a few fixes and extras

% \usepackage[usenames]{color}
\usepackage{lmodern}
% \@ifundefined{nopagecolor}{%
%   \def\nopagecolor{\no@page@color}%
% }{}
\@ifundefined{nopagecolor}{\newcommand{\nopagecolor}{\pagecolor{white}}}{}

% \usepackage{url}

\pagecolor{white}
\nopagecolor
\usepackage{pdfpages}

\def\aboutchapter#1{%
  \mbox{ }\par\nobreak
  \vspace*{35pt}%
  {
    \normalfont
    \Huge \bfseries  #1\par\nobreak
    \vspace*{35pt}
  }
}

\definecolor{cover}{rgb}{0.41,0.33,0.91} % {105,85,234}
\definecolor{covertext}{rgb}{1,1,1} % white

\newcommand{\prefacesection}[1]{\aboutchapter{#1}}
\newif\ifvocalscore
\newif\ifinstrument
\newif\ifcolortitle
\colortitletrue

\newcommand{\vocalscorelayout}{
  \setlength{\paperheight}{270mm}%
  \setlength{\paperwidth}{190mm}%
  \geometry{papersize={190mm,270mm}}%
  \vocalscoretrue
%   \renewcommand{\prefacesection}[1]{\section*{#1}}%
  \typeout{processing vocalscore}
}

\DeclareOption{vocalscore}{
%   \definecolor{cover}{rgb}{0.27,0.25,0.72} % {69,64,234}
  \definecolor{cover}{rgb}{0.41,0.33,0.91} % {105,85,234}
  \vocalscorelayout
}
\DeclareOption{choralscore}{
%   \definecolor{cover}{rgb}{0.27,0.25,0.72} % {69,40,234}
  \definecolor{cover}{rgb}{0.41,0.33,0.91} % {105,85,234}
}
\DeclareOption{fullscore}{
  \definecolor{cover}{rgb}{0,0.5,0} % {0,128,0}
}
\DeclareOption{instrumentalparts}{
  \definecolor{cover}{rgb}{0.75,0,0} % {128,0,0}
  \instrumenttrue
}
\DeclareOption{chambermusic}{
  \definecolor{cover}{rgb}{1,0.86,0} % {230,190,0}
\definecolor{covertext}{rgb}{0,0,0} % black
}
\DeclareOption{colortitle}{\colortitletrue}
\DeclareOption{nocolortitle}{\colortitlefalse}

\ProcessOptions

% \newenvironment{preface}{\ifvocalscore\relscale{0.83}\fi}{}
% \newenvironment{preface}{\ifvocalscore\fontsize{8.5}{10.5}\selectfont\fi}{}
\newenvironment{preface}{}{}
% \newenvironment{lyricstext}{\ifvocalscore\else\begin{smaller}\fi}{\ifvocalscore\else\end{smaller}\fi}
\newenvironment{lyricstext}{\begin{smaller}}{\end{smaller}}

\newcommand{\olypagecommand}{\thispagestyle{empty}}


\setlength{\parindent}{0em}
\setlength{\columnsep}{20pt}


\sffamily
\fontsize{20pt}{25pt}\selectfont
\input "orchestrallily/oly_defs.tex"


\let\@composer\@empty
\newcommand{\composer}[1]{\gdef\@composer{#1}}
\let\@composerdate\@empty
\newcommand{\composerdate}[1]{\gdef\@composerdate{#1}}
\let\@composerII\@empty
\newcommand{\composerII}[1]{\gdef\@composerII{#1}}
\let\@composerdateII\@empty
\newcommand{\composerdateII}[1]{\gdef\@composerdateII{#1}}
\let\@poet\@empty
\newcommand{\poet}[1]{\gdef\@poet{#1}}
\let\@poetdate\@empty
\newcommand{\poetdate}[1]{\gdef\@poetdate{#1}}
\let\@subtitle\@empty
\newcommand{\subtitle}[1]{\gdef\@subtitle{#1}}
\let\@description\@empty
\renewcommand{\description}[1]{\gdef\@description{#1}}
\let\@instrumentation\@empty
\newcommand{\instrumentation}[1]{\gdef\@instrumentation{#1}}
\let\@frontpageinstrumentation\@empty
\newcommand{\frontpageinstrumentation}[1]{\gdef\@frontpageinstrumentation{#1}}
\let\@scoretype\@empty
\newcommand{\scoretype}[1]{\gdef\@scoretype{#1}}
\let\@scoreinfo\@empty
\newcommand{\scoreinfo}[1]{\gdef\@scoreinfo{#1}}
\let\@editor\@empty
\newcommand{\editor}[1]{\gdef\@editor{#1}}
\let\@frontpageeditor\@empty
\newcommand{\frontpageeditor}[1]{\gdef\@frontpageeditor{#1}}
\let\@publisher\@empty
\newcommand{\publisher}[1]{\gdef\@publisher{#1}}
\let\@publisherurl\@empty
\newcommand{\publisherurl}[1]{\gdef\@publisherurl{#1}}
\let\@shortpublisher\@empty
\newcommand{\shortpublisher}[1]{\gdef\@shortpublisher{#1}}
\let\@scorenumber\@empty
\newcommand{\scorenumber}[1]{\gdef\@scorenumber{#1}}
\let\@ismn\@empty
\newcommand{\ismn}[1]{\gdef\@ismn{#1}}
\let\@yearpublished\@empty
\newcommand{\yearpublished}[1]{\gdef\@yearpublished{#1}}
\let\@todos\@empty
\newcommand{\todos}[1]{\gdef\@todos{#1}}

\let\oly@basename\@empty
\newcommand{\basename}[1]{\gdef\oly@basename{#1}}

\let\@software\@empty
\newcommand{\software}[1]{\gdef\@software{#1}}
\software{Lilypond 2.14, \href{http://www.lilypond.org/}{http://www.lilypond.org/}}


\gdef\@editedby{Herausgegeben von: / Edited by:}

%%
%% End of file `makeidx.sty'.

\newcommand\makefrontpage{\pagenumbering{alph}\begin{titlepage}%
  \ifcolortitle\pagecolor{cover}\color{covertext}\fi
  \thispagestyle{empty}

  \let\footnotesize\small
  \let\footnoterule\relax
  \let \footnote \thanks

  \sffamily
  \fontsize{20pt}{25pt}\selectfont

  \begin{center}

  \null\vfill
  \ifx\@composer\@empty%
  \else
    {\fontsize{35pt}{35pt}\selectfont\textbf{\@composer}}%
    \ifx\@composerII\@empty%
    \else\\[0.25em]
      {\fontsize{35pt}{35pt}\selectfont\textbf{\@composerII}}%
    \fi%
    \\[0.3em]%
  \fi

  \ifx\@poet\@empty%
  \else
    {%\fontsize{20pt}{20pt}\selectfont
    \textbf{\@poet}}\\[0.3em]%
  \fi

  \vfill

  {%
    \fontsize{40pt}{50pt}\selectfont%
    \textbf{\@title}
  }%

  {\vspace{0.5em}
    \@subtitle
  }

  \vfill
  \ifx\@scoreinfo\@empty%
  \else
    { \@scoreinfo\\ }
  \fi
  \vfill\vfill
  \ifx\@frontpageinstrumentation\@empty%
  \else
  {
    \fontsize{12pt}{14pt}\selectfont
    \vspace{0.5em}
    {
    \@frontpageinstrumentation\\
    }
  }
  \fi

  \vfill
  \vfill
  \@scoretype
  \vfill
  \fontsize{13pt}{13pt}\selectfont
  \ifx\@frontpageeditor\@empty%
  \else
%     \fontsize{12pt}{14pt}\selectfont
    \@editedby\\[0.3em]%
    \@frontpageeditor%
  \fi
  \vfill
  \vfill
  {
  \ifx\@shortpublisher\@empty\@publisher\else\@shortpublisher\fi\ifx\@scorenumber\@empty%
  \else, \@scorenumber\fi
  }
  \vfill\null
  \end{center}
  \thispagestyle{empty} %\null
  \end{titlepage}%

  \pagebreak
  \thispagestyle{empty} %\null
  \ifcolortitle\nopagecolor\color{black}\fi
  \thispagestyle{empty} %\null
  \ifx\@todos\@empty%
  \else
    { \@todos }
  \fi
  \thispagestyle{empty} %\null
  \cleardoublepage
  \setcounter{footnote}{0}%
}

\newcommand{\makebackpage}{
  \pagebreak
  \thispagestyle{empty}\null
  \pagebreak
  ${}$\vfill\vfill\vfill\vfill\vfill\vfill
  \backpage
}

\newcommand{\backpage}{
  \thispagestyle{empty}
  \ifcolortitle\pagecolor{cover}\fi
  \null
  \ifx\@ismn\@empty%
  \else
    \begin{center}
    \begin{minipage}[c]{4.4cm}
    \centering
    \small\sffamily
    \ifx\@shortpublisher\@empty\@publisher\else\@shortpublisher\fi \hfill \@scorenumber\\
    \fbox{\includegraphics[width=4.3cm]{\@ismn}}
    \end{minipage}
    \end{center}
  \fi
}



\let\oldmaketitle\maketitle
% \def\@printdate{\footnotesize \@date \par\vspace{1em}}
% \def\@printdate{\footnotesize[] \today[] \par[]\vspace{1em}}
\def\@printdate{\footnotesize \the\year \par\vspace{1em}}

\renewcommand\maketitle{\thispagestyle{empty}%
  \begin{titlepage}%
%   \fontfamily{pbk}\selectfont
    \fontspec{URW Bookman L}


  \let\footnotesize\small
  \let\footnoterule\relax
%   \let\footnote\thanks

  \fontsize{16pt}{18pt}\selectfont

  \begin{center}

  \null\vfill
  {\footnotesize \@date \par}
  \vspace{0.5em}

  \ifx\@composer\@empty%
  \else
    {\fontsize{22pt}{25pt}\selectfont\textbf{\@composer}\ifx\@composerdate\empty\else{} \relax \@composerdate\fi}%
    \ifx\@composerII\@empty%
    \else\\[0.25em]
      {\fontsize{22pt}{25pt}\selectfont\textbf{\@composerII}\ifx\@composerdateII\empty\else{} \relax \@composerdateII\fi}%
    \fi%
    \\[0.3em]
  \fi

  \ifx\@poet\@empty%
  \else
    {\fontsize{16pt}{20pt}\selectfont\textbf{\@poet}\ifx\@poetdate\empty\else{} \relax \@poetdate\fi}%
  \fi

  \vfill

  {
    \fontsize{40pt}{45pt}\selectfont
    \textbf{\@title}%
  }

  {\vspace{0.5em}
    \@subtitle%
  }

  \vfill
  \vfill

  \@description%

  \fontsize{12pt}{14pt}\selectfont
  \ifx\@instrumentation\empty%
  \else
  {
    \vspace{0.5em}
    {
    \@instrumentation
    }
  }
  \fi
%   \fontsize{16pt}{18pt}\selectfont
%   \@scoreinfo%
  \vfill
  \vfill
  \vfill
  \fontsize{16pt}{18pt}\selectfont
  \@scoretype%
  \vfill

  \fontsize{12pt}{14pt}\selectfont
  \ifx\@editor\@empty%
  \else
    \@editedby\\[0.3em]%
    \@editor%
  \fi


  \vfill
  \@publisher\ifx\@yearpublished\@empty%
  \else, \@yearpublished%
  \fi\\
  \@scorenumber%
  % \vfill\null

  \end{center}

  \end{titlepage}%
  
  \setcounter{footnote}{0}%
  \global\let\maketitle\relax
  \setcounter{page}{2}
}





\newcommand{\q}[1]{\glqq{}#1\grqq{}}
\newenvironment{vergleich}{
  \setlength{\parindent}{-3em}
  \setlength{\leftskip}{3em}
  \indent
}{
  \setlength{\parindent}{0em}
  \setlength{\leftskip}{0em}
}

\newcommand{\copyrightbox}[1]{
\fbox{
\begin{minipage}{0.95\textwidth}#1\end{minipage}
}}

\newlength{\scorelistboxwidth}
\setlength{\scorelistboxwidth}{0.8\textwidth}

\newcommand{\scorelistbox}[1]{
\fbox{\begin{minipage}{\scorelistboxwidth}
\small
#1\end{minipage}
}}


\newcommand\frontmatter{%
   \cleardoublepage
  \pagenumbering{roman}}
\newcommand\mainmatter{%
  \cleardoublepage
  \pagenumbering{arabic}}
\newcommand\backmatter{%
  \cleardoublepage
}

% \newenvironment{lyricstable}{\begin{supertabular}{p{0.33\textwidth}p{0.33\textwidth}p{0.33\textwidth}}}{\end{supertabular}}
\newenvironment{lyricstable}{\begin{tabular}{@{}p{0.33\textwidth}p{0.33\textwidth}p{0.33\textwidth}@{}}}{\end{tabular}}
\newenvironment{lyricstable2}{\begin{tabular}{@{}p{0.5\textwidth}p{0.5\textwidth}@{}}}{\end{tabular}}
% \newcommand{\sbreak}{\textbar}
\newcommand{\sbreak}{\\}
\newenvironment{sourcetitle}{

\begin{center}\em}{\end{center}
}
\newcommand{\preisfrac}[2]{$\frac{\text{#1}}{\text{#2}}$}
\newenvironment{lilypond}{$}{$}

\newenvironment{hauptquellen}{\begin{itemize}\setlength{\itemsep}{0em}\setlength{\parskip}{0mm}}{\end{itemize}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  \includescore{PossibleExtension}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Read in the TOC entries for a PDF file from the corresponding .toc file.
% This requires some heave latex tweaking, since reading in things from a file
% and inserting it into the arguments of a macro is not (easily) possible

% Solution by Patrick Fimml on #latex on April 18, 2009:
% \readfile{filename}{\variable}
% reads in the contents of the file into \variable (undefined if file doesn't exist)
\newread\readfile@f
\def\readfile@line#1{%
  {\catcode`\^^M=10\global\read\readfile@f to \readfile@tmp}%
  \edef\do{\noexpand\g@addto@macro{\noexpand#1}{\readfile@tmp}}\do%
  \ifeof\readfile@f\else%
    \readfile@line{#1}%
  \fi%
}
\def\readfile#1#2{%
  \openin\readfile@f=#1 %
  \ifeof\readfile@f%
%     \typeout{No TOC file #1 available!}%
  \else%
    \typeout{Using TOC file #1}
    \gdef#2{}%
    \readfile@line{#2}%
  \fi
  \closein\readfile@f%
}%


\newcommand{\includescore}[1]{
  \def\oly@fname{\oly@basename\@ifmtarg{#1}{}{_#1}}
  \let\oly@addtotoc\undefined
  \readfile{\oly@fname.toc}{\oly@addtotoc}
  \ifx\oly@addtotoc\undefined
    \includepdf[pages=-,pagecommand={\olypagecommand}]{\oly@fname}
  \else
    \edef\includeit{\noexpand\includepdf[pages=-,addtotoc={\oly@addtotoc}]{\oly@fname}}\includeit
  \fi
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Bibliography, TOC formatting
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% \renewcommand*{\l@chapter}{\@dottedtocline{1}{1.5em}{2.3em}}
% \renewcommand*{\l@chapter}{\@dottedtocline{0}{0em}{0em}}
\renewcommand*{\l@section}{\@dottedtocline{1}{0em}{2.3em}}
\renewcommand{\numberline}[1]{}

\makeatletter
\renewenvironment{thebibliography}[1]
     {%\chapter*{\bibname}%
      \@mkboth{\MakeUppercase\bibname}{\MakeUppercase\bibname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\makeatother

\renewcommand\contentsname{Inhalt / Contents}
\addto\captionsngerman{%
  \renewcommand\contentsname{Inhalt / Contents}%
}


\newcommand{\wavyline}{$\sim\sim\sim\sim\sim$}
\newcommand{\longwavyline}{$\sim\sim\sim\sim\sim\sim\sim\sim\sim\sim$}
% figures for figured bass:
\newcommand{\bfig}[1]{\q{#1}}


\hypersetup{
  colorlinks=false,
  pdfborder={0 0 0},
}
\endinput
